Subject: [bug#77552] [PATCH 5/5] gnu: cbqn: Update to 0.9.0.

From: Cayetano Santos <[email-masked]>
Date: Thu, 10 Apr 2025 09:27:49 +0200

>Wed 09 Apr 2025 at 19:06, Lee Thompson <[email-masked]> wrote:

> Cayetano Santos <[email-masked]> writes:
>
>> Try to avoid unnecessary modifications in original code, this makes hard
>> to follow the contributions.

> I'm following guidance to run `./pre-inst-env guix style PACKAGE' before
> sending in a patch.  What you see here is just the result of running
> that.  I agree though it makes reading diffs confusing.

I see what you mean. Generally speaking, guix community privileges
avoiding unnecessary changes and readability, over strict styling (you
can verify in most packages).

> Is there a way to only `guix style' what's been changed?

Not that I’m aware of, but would be useful !